Subject: Re: [P2PSIP] Question on draft-baset-p2psip-p2pcommon

From: Salman Abdul Baset <[email-masked]>
Date: Thu, 3 May 2007 16:53:00 -0400 (EDT)

We have a basic implementation for Kademlia and another one in progress
for Chord. Both Kademlia and Chord are implemented using P2PP.

NAT traversal issues, churn recovery, replication and integration with SIP
are some of the issues that need to be addressed/further clarified in the
next revision.
-s

On Thu, 3 May 2007, Medhavi Bhatia wrote:

> Hi Salman,
>
> I think that sounds great. What items are we planning for the next rev of
> the draft. From an implementation standpoint, has anyone implemented this
> draft yet? The 'magic cookie' approach is frankly unavoidable for a usable
> implementation since I don't know how you escape the NAT traversal (SIP/ICE)
> issues otherwise.
>
> Medhavi.
>
> On 5/3/07, Salman Abdul Baset <[email-masked]> wrote:
> >
> > It is an issue and it needs to be specified in the draft. The techniques
> > will be similar to what have been specified in sipoutbound and STUN
> > drafts.
> >
> > The STUN draft provides a magic cookie in the common header (bytes 5-8).
> > P2PP can check for the presence of magic cookie.
> >
> > I think there is a need to specify a 'magic cookie' for P2PP so that other
> > protocols can differentiate it.
> >
> > -salman
> >
> >
> > On Thu, 3 May 2007, Medhavi Bhatia wrote:
> >
> > > It seems to me that the protocol described in this draft could run on
> > the
> > > same connection where SIP, STUN/TURN/ICE packets are also being
> > processed.
> > > There is no mention in the draft accomodating this and probably the byte
> > > encoding specified for P2PP may interfere with the multiplexing of
> > packets.
> > > Is this an issue?
> > >
> > > Medhavi.
> > >
> >
>

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip